Gecode::Int::LDSB::SymmetryObject Class Reference

Implementation of a symmetry at the modelling level. More...

`#include <ldsb.hh>`

## Public Member Functions

| SymmetryObject (void)
| Default constructor.
virtual | ~SymmetryObject (void)
| Destructor.

## Public Attributes

int | nrefs
| Number of references that point to this symmetry object.

## Detailed Description

Implementation of a symmetry at the modelling level.

Definition at line 106 of file ldsb.hh.

## Constructor & Destructor Documentation

## SymmetryObject()

Gecode::Int::LDSB::SymmetryObject::SymmetryObject | ( | void |  | ) |

Default constructor.

Definition at line 76 of file sym-obj.cpp.

## ~SymmetryObject()

Gecode::Int::LDSB::SymmetryObject::~SymmetryObject | ( | void |  | ) |

virtual

Destructor.

Definition at line 78 of file sym-obj.cpp.

## Member Data Documentation

## nrefs

int Gecode::Int::LDSB::SymmetryObject::nrefs

Number of references that point to this symmetry object.

Definition at line 109 of file ldsb.hh.

The documentation for this class was generated from the following files:

- gecode/int/ldsb.hh
- gecode/int/ldsb/sym-obj.cpp